package be.kdg.java3.relationsdemo.repository;

import be.kdg.java3.relationsdemo.domain.Student;

import java.util.List;

public interface StudentRepository {
    List<Student> findAll();
    Student findById(int id);

    public List<Student> findBySchool(int schoolId);

    List<Student> findByCourse(int courseId);

    Student createStudent(Student student);//returns a Student with autogenerated id
    void updateStudent(Student student);
    void deleteStudent(int id);
}
